## r-bioc-mofa 1.4.0+dfsg

=== DESCRIPTION ===
Package: MOFA
Type: Package
Title: Multi-Omics Factor Analysis (MOFA)
Version: 1.4.0
Maintainer: Britta Velten <britta.velten@gmail.com>
Author: Ricard Argelaguet, Britta Velten, Damien Arnol, Florian Buettner, Wolfgang Huber, Oliver Stegle
Date: 2018-06-26
License: LGPL-3 | file LICENSE
Description: Multi-Omics Factor Analysis: an unsupervised framework for the integration of multi-omics data sets.
Encoding: UTF-8
Depends: R (>= 3.5)
Imports: rhdf5, dplyr, reshape2, pheatmap, corrplot, ggplot2,
        ggbeeswarm, methods, scales, GGally, RColorBrewer, cowplot,
        ggrepel, MultiAssayExperiment, Biobase, doParallel, foreach,
        reticulate, grDevices, stats, utils
Suggests: knitr, MOFAdata
biocViews: DimensionReduction, Bayesian, Visualization
VignetteBuilder: knitr
LazyData: false
NeedsCompilation: yes
RoxygenNote: 6.1.1
SystemRequirements: Python (>=2.7.0), numpy, pandas, h5py, scipy,
        sklearn, mofapy
git_url: https://git.bioconductor.org/packages/MOFA
git_branch: RELEASE_3_11
git_last_commit: baf2eef
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
Packaged: 2020-04-28 04:03:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-mofa (1.4.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:09:04 +0000

r-bioc-mofa (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 May 2020 09:36:50 +0200

r-bioc-mofa (1.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Rules-Requires-Root: no (routine-update)
  * Section: python for Python package

 -- Andreas Tille <tille@debian.org>  Sun, 22 Mar 2020 08:09:15 +0100

r-bioc-mofa (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #940513)
    Reupload, thanks got go FTPmaster Thorsten for his scrutiny.
    And yet another upload - dh-r not detecting the L in LGPL?

 -- Steffen Moeller <moeller@debian.org>  Wed, 05 Feb 2020 22:52:53 +0100

=== debian/control ===
Source: r-bioc-mofa
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               xvfb,
               r-bioc-rhdf5,
               r-cran-dplyr,
               r-cran-reshape2,
               r-cran-pheatmap,
               r-cran-corrplot,
               r-cran-ggplot2,
               r-cran-ggbeeswarm,
               r-cran-scales,
               r-cran-ggally,
               r-cran-rcolorbrewer,
               r-cran-cowplot,
               r-cran-ggrepel,
               r-bioc-biobase,
               r-cran-doparallel,
               r-cran-foreach,
               r-cran-reticulate,
               r-bioc-multiassayexperiment,
# Pyhon package
               python3-all,
               dh-python,
               python3-pandas,
               python3-setuptools,
               python3-scipy,
               python3-numpy,
               python3-sklearn,
               python3-h5py
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mofa
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mofa.git
Homepage: https://bioconductor.org/packages/MOFA/
Rules-Requires-Root: no

Package: r-bioc-mofa
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-mofapy
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Multi-Omics Factor Analysis (MOFA)
 Multi-Omics Factor Analysis: an unsupervised framework for the
 integration of multi-omics data sets.

Package: python3-mofapy
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-pandas,
            python3-scipy,
            python3-numpy,
            python3-sklearn,
            python3-sklearn-pandas,
            python3-h5py
Suggests: r-bioc-mofa
Description: Multi-Omics Factor Analysis (MOFA) - Python module
 Multi-Omics Factor Analysis: an unsupervised framework for the
 integration of multi-omics data sets.
 .
 This package is required by the R package to function.

## r-bioc-mofa 1.6.1%2Bdfsg

=== debian/changelog ===
r-bioc-mofa (1.6.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Really build for 3.14 bioc api

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Nov 2021 15:01:32 +0530

r-bioc-mofa (1.6.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build for r-api-bioc-3.14

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:48:46 +0100

r-bioc-mofa (1.6.1+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Build for r-api-bioc-3.13

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Sep 2021 18:32:23 +0530

r-bioc-mofa (1.6.1+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Upstream has replaced MOFA by MOFA2.  Thus we can not check for new
    upstream any more and use a fake watch file
  * Standards-Version: 4.6.0

  [ Steffen Moeller ]
  * Hint that MOFA is outdated

 -- Andreas Tille <tille@debian.org>  Mon, 13 Sep 2021 07:25:24 +0200

r-bioc-mofa (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Nov 2020 10:26:52 +0100

## r-bioc-mofa 1.6.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: MOFA
 Type: Package
 Title: Multi-Omics Factor Analysis (MOFA)
-Version: 1.4.0
+Version: 1.6.1
 Maintainer: Britta Velten <britta.velten@gmail.com>
 Author: Ricard Argelaguet, Britta Velten, Damien Arnol, Florian Buettner, Wolfgang Huber, Oliver Stegle
 Date: 2018-06-26
@@ -21,9 +21,10 @@
 RoxygenNote: 6.1.1
 SystemRequirements: Python (>=2.7.0), numpy, pandas, h5py, scipy,
         sklearn, mofapy
+PackageStatus: Deprecated
 git_url: https://git.bioconductor.org/packages/MOFA
-git_branch: RELEASE_3_11
-git_last_commit: baf2eef
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 04:03:11 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: d50ed60
+git_last_commit_date: 2020-10-28
+Date/Publication: 2020-10-28
+Packaged: 2020-10-29 01:06:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-mofa (1.6.1+dfsg-16) unstable; urgency=medium

  * Team upload.
  * Fix (harmless) Python SyntaxWarnings. Closes: #1085689

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 22 Sep 2025 18:42:58 +0100

r-bioc-mofa (1.6.1+dfsg-15) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:11:33 +0100

r-bioc-mofa (1.6.1+dfsg-14) experimental; urgency=medium

  * Team upload.
  * Update patch to build for bioc-3.20.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:21:55 +0100

r-bioc-mofa (1.6.1+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Build with the 3.19 BioC API

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:42:09 +0200

r-bioc-mofa (1.6.1+dfsg-12) unstable; urgency=medium

  * Team upload.
  * Build with 3.18 BioC API
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 18:06:19 +0100

r-bioc-mofa (1.6.1+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Build with 3.17 BioC API

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 22:12:46 +0200

r-bioc-mofa (1.6.1+dfsg-10) unstable; urgency=medium

  * Team upload
  * Rebuild to fix the missing python3-h5py dependency
    Closes: #1030514

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2023 19:54:32 +0100

r-bioc-mofa (1.6.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Really rebuild with 3.16 bioc API
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 11:11:44 +0100

r-bioc-mofa (1.6.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Build with 3.16 BioC API
    Closes: #1024754
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 08:35:43 +0100

r-bioc-mofa (1.6.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Really rebuild with 3.15 bioc API

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 11:30:41 +0530

r-bioc-mofa (1.6.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Rebuild for Bioc 3.15 transition.
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 13:15:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: r-bioc-mofa
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Section: gnu-r
+Priority: optional
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mofa
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mofa.git
+Homepage: https://bioconductor.org/packages/MOFA/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                xvfb,
@@ -26,20 +29,15 @@
                r-cran-foreach,
                r-cran-reticulate,
                r-bioc-multiassayexperiment,
-# Pyhon package
                python3-all,
-               dh-python,
+               dh-sequence-python3,
                python3-pandas,
                python3-setuptools,
                python3-scipy,
                python3-numpy,
                python3-sklearn,
                python3-h5py
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mofa
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mofa.git
-Homepage: https://bioconductor.org/packages/MOFA/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-mofa
 Architecture: all
@@ -52,10 +50,18 @@
 Description: Multi-Omics Factor Analysis (MOFA)
  Multi-Omics Factor Analysis: an unsupervised framework for the
  integration of multi-omics data sets.
+ .
+ Upstream no longer supports this package. This package only still
+ ships to help with rerunning/comparing/transitioning existing projects.
+ For new projects please upgrade to MOFA2 (MOFA+). Actually, also when
+ adding new data to old projects, MOFA2 has further improved the handling
+ of multiple factors, and to compensate for a batch effect that is likely
+ introduced with additional data, may be an immediate use case for that
+ new version.
 
 Package: python3-mofapy
+Section: python
 Architecture: all
-Section: python
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-pandas,

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
export PYBUILD_NAME=mofapy

%:
	dh $@ --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=R --sourcedirectory=$(CURDIR)
	find $(CURDIR)/debian -name "*.Rmd" | xargs -r chmod -x
	mv debian/tmp tmp-install
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/python3-mofa.substvars mofapy.egg-info/
